#include <iostream>

using namespace std;

int main()
{
    int k, n, x;
    cin >> n >> k >> x;
    if(n >= 4){
        if(n < x+1){
            cout << "1 2 3 ";
            cout << 2 + x << " ";
            for(int i = 3; i < n; ++i){
                cout << i + 1 << " ";
            }
        }
        else{
            cout << -1 << endl;
        }
    }
    else{
        cout << 1 << " " << 1 + x << " " << 1 + 2*x;
    }
    cout << endl;
    return 0;
}